qanda.defaultlabel
Prev | QAndASet | Next

## qanda.defaultlabel

qanda.defaultlabel — Sets the default for defaultlabel on QandASet.

## Synopsis

    <xsl:param name="qanda.defaultlabel">number</xsl:param>

## Description

If no `defaultlabel` attribute is specified on a `qandaset`, this value is used. It is generally one of the legal values for the defaultlabel attribute (`none`, `number` or `qanda`), or one of the additional stylesheet-specific values (`qnumber` or `qnumberanda`). The default value is 'number'.

The values are rendered as follows:

`qanda`

  `question`s are labeled "Q:" and `answer`s are labeled "A:".

`number`

  The questions are enumerated and the answers are not labeled.

`qnumber`

  The questions are labeled "Q:" followed by a number, and answers are not labeled. When sections are numbered, adding a label to the number distinguishes the question numbers from the section numbers. This value is not allowed in the `defaultlabel` attribute of a `qandaset` element.

`qnumberanda`

  The questions are labeled "Q:" followed by a number, and the answers are labeled "A:". When sections are numbered, adding a label to the number distinguishes the question numbers from the section numbers. This value is not allowed in the `defaultlabel` attribute of a `qandaset` element.

`none`

  No distinguishing label precedes Questions or Answers.

Prev | Up | Next
qanda.inherit.numeration | Home | qanda.in.toc